Get columns
curl --request GET \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
"<string>"
]
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Get columns
Get columns for a specific table.
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
columns
Get columns
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Catalog name.
Schema name.
Table name.
Response
Data retrieved successfully.
List of column names within the specified table.
Was this page helpful?
⌘I

